---
layout: markdown_page
title: "GitLab Consultant Onboarding and Offboarding Processes"
---

----

## On this page
{:.no_toc}

- TOC
{:toc}

----

## Introduction

From time-to-time, GitLab will bring in the expertise of external consultants to work on a task for a defined engagement. These temporary staff may, on a case-by-case basis, require access to GitLab's systems for a period of time, including Slack, customer data, and [infrastructure environments](/handbook/infrastructure/environments/).

Please make sure to add the prefix `-CTR` to any usernames and handles that are temporarily created for the user. This allows team members to quickly ascertain whether someone is a consultant, and for auditing to be done on these accounts.

## Onboarding Processes

- For engineer consultant onboarding, [create a new issue in the infrastructure tracker](https://gitlab.com/gitlab-com/infrastructure/issues/new?issuable_template=consultant_onboarding), using the [consultant_onboarding](https://gitlab.com/gitlab-com/infrastructure/blob/master/.gitlab/issue_templates/consultant_onboarding.md) template.
- If the contractor is assigned access to any repositories on a GitLab instance, please ensure that an expiry date is set for the access.

## Offboarding Process
- For engineer consultant offboarding, [create a new issue in the infrastructure tracker](https://gitlab.com/gitlab-com/infrastructure/issues/new?issuable_template=consultant_offboarding), using the [consultant_offboarding](https://gitlab.com/gitlab-com/infrastructure/blob/master/.gitlab/issue_templates/consultant_offboarding.md) template.
